/* font imports */
/* Roboto,
   Permanent Marker,
   Libre Barcode EAN13
   DotGothic16
 */
@import url('https://fonts.googleapis.com/css2?family=DotGothic16&family=Libre+Barcode+EAN13+Text&family=Permanent+Marker&family=Roboto:ital,wght@0,100;0,300;0,500;0,700;0,900;1,400&display=swap');
/* style list with * as li markers */
@counter-style additive-star {
    system: additive;
    range: 1 100;
    additive-symbols: "*" 1;
}

/* needed for height 100% to work on content */
:root {

    --menu-height: 6rem;
    --nfs: clamp(16px,1vw, 28px); /* nutrition font size */
    --nutrition-width: calc(var(--nfs) * 30); /* nutrition font size */
    --thin-border: calc(var(--nfs) * 0.05);
    --thick-border: calc(var(--nfs) * 0.9);
    --medium-border: calc(var(--nfs) * 0.5);
    --outside-border: calc(var(--thin-border) * 2);
    --padding: calc(var(--nfs) * 0.5);

    --font-size: var(--nfs);
    --header-size: calc(var(--nfs) * 2.75);
    --header-line-height: calc(var(--nfs) * 2.75 * 1.22);
    --header-top-margin: calc(var(--padding) + var(--outside-border));
    --bottom-margin: calc(var(--nfs) * 1.5);
    --background-color: black;
    --text-color: white;
    --gold-color: #FEFECC;

    --max-content-width: min(80vh, 1680px);

}


html {
    height: 100%;
    scroll-behavior: smooth;
}

body {
    height: 100%; /* needed for height 100% to work on content */
    font-family: 'Roboto', sans-serif;
    font-size: var(--font-size);
    color: white;
    font-weight:300;
    margin: 0;
    background-color: var(--background-color);

}

b{
    font-weight: 800;
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
    scrollbar-width: auto;
    scrollbar-color: #ffffff44 #00000000;

}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: min(1vw,16px);
}

*::-webkit-scrollbar-track {
    background: #00000000;
}

*::-webkit-scrollbar-thumb {
    background-color: #000000;
    border-radius: 10px;
    border: 1px solid #ffffff88;
}

/* navbar */


/* top menu settings shared between screens */
#top-menu{
    box-sizing: border-box;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    z-index: 10; /* there to fix blending layers issues */

    background-color: black; /* fix for mobile issue */
    font-family: 'Permanent Marker', cursive;
    color: white;
}

#menu-logo {
    z-index: 10;
    flex: 1;

    background-image: url("../media/logo-main-small.png");
    background-color: black;
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: center;

    transition: filter 0.3s ease-in-out;
}

#menu-logo:hover{
    filter: drop-shadow(0px 1vh 20vw #ffffff88);
}

#menu-logo a{
    height: 100%; width:100%; display:block;
}

#menu-hamburger{
    display:none;
    color: white;
    //background-image: url("../media/icons/icon-hamburger-menu.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    height: 1.4em;
    width: 1.4em;
    max-width: 1.4em;
    margin: 0.5em 0.5em 0.5em 0.5em;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 11;

    text-align: center;
    vertical-align: middle;
}

#menu-buttons{
    background-color: black;
    box-sizing: border-box;
    border-style: solid;
    border-color:black;
    border-width: 1vh 0 0 0; /* 1vh to balance menu-bottom */
    z-index: 10;
}

.menu-button {
    position:relative;
    flex: 1;
    cursor: default;
    text-align: center;
}

.menu-button a{
    color: white;
    text-decoration: none;
    position: relative;
    display: inline-block;
}

.menu-button a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0.1em; /* Adjust the height to control the border thickness */
    background-color: white; /* Change the color as per your preference */
    transition: width 0.3s ease;
}

.menu-button a:hover::after {
    width: 100%;
}

#menu-bottom{
    background-image: url("../media/top-menu-bottom.webp");
    background-position: top;
    background-repeat: repeat-x;
    width: 100%;
    height: 1vh;

    filter: drop-shadow(0 1vh 1.5vh #ffffff88);
}

.menu-padding{
    display: block;
    height:100%;
    z-index: 11;
    flex: 0.5;
    background-color:black;
}

/* top menu for horizontal screens */
@media (min-width: 800px ) and (orientation: landscape){
    #top-menu {
        height: 10vh;
        padding: 0 0 0 0;
        background-color:black;

        font-size: 5vh;
        line-height: 1.6em;
        align-items: center;
        flex-direction: row;
        flex-wrap: wrap;

    }
    #menu-logo{
        height: 100%;
        overflow: visible;
    }
    #menu-buttons{
        display: flex;
        flex-direction: row;
        width: fit-content;
        flex: 4;
        height:100%;
    }

    #menu-bottom{
        background-size: auto 100%;
    }
}

/* top menu settings for vertical screens */
@media (orientation: portrait) , (max-width: 800px){
    #top-menu {
        font-size: 5vh;

        flex-direction: column;
        align-items: center;
    }
    #top-menu div{
        width:100%;
    }

    #menu-hamburger{
        display: block;
    }

    .menu-padding{
        display:none;
    }

    #menu-logo{
        min-height:2em;
        /* workaround for menu */
        border-width: 1vh 0 0 0;
        border-color: black;
        border-style: solid;
    }

    /* stuff for menu animation */
    #menu-buttons{
        border-width: 0;
        max-height: 0;
        overflow: hidden;
        transition: all 1.2s;
    }

    #menu-bottom{
        background-size: auto 100%;
    }

}


/* main page */

#main-page-gradient-1{
    background: white linear-gradient(180deg, #9C1B08 0%, rgba(156, 27, 8, 0.00) 100%) no-repeat;
    width:100%;
    height:100%;
}

#main-page-gradient-2 {
    background: linear-gradient(180deg, #FF0F7B 0%, rgba(251, 94, 77, 0.44) 31.77%, #F89B29 100%);
    width: 100%;
    height: 100%;
}

#main-page-splatter {
    background-image: url("../media/splatter-webmask-80.webp");
    background-repeat: no-repeat;
    background-size: cover;
    background-color: blue;
    mix-blend-mode: multiply;
    width: 100%;
    height: 100%;
}

#main-page {
    position: absolute;
    top: 0;
    width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


@media (orientation: portrait) {
    #main-page-logo {
        max-width: 90vw;
        max-height: 90vh;
        height: auto;
    }

}

@media (orientation: landscape) {
    #main-page-logo {
        max-height: 60vh;
        width: auto;
    }

}

#main-page-logo {
    margin: 5vh 5% 0 5%;

    mix-blend-mode: unset;
    z-index: 2;
    flex-grow: 0;
    flex-shrink: 0;
    object-fit: contain; /* for maintaining aspect ratio when scaling */
}

#main-page-ground {
    margin-top: -5vh;
    max-width: 100%;
    height: auto;
    max-height: 25%;

    z-index: 1;
    flex-grow: 0;
    flex-shrink: 1;
    object-fit: contain; /* for maintaining aspect ratio when scaling */
}

#about{
    position: relative;
    z-index: 3; /* fix for mobile overlap issue */

    display: flex;
    flex-direction: column;
}

#transparent-fill {
    flex: 1;
    width: 100%;
}

#black-fill {
    flex-grow: 1;
    width: 100%;
    background-color: black;
}

/* jobs page */
#jobs-page {
    width: 100%;
    min-height: 90vh;
    padding-top: 20vh;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.jobs-list{
    width:100%;
    height: fit-content;
}

.job-ad {
    padding: 2em 0 0 0;
    margin: 2em 0 0 0;
    width: 100%;
    background-color: black;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2em;

}

#jobs-page .job-ad{
    border-width: var(--thick-border) 0 0 0;
    border-style: solid;
    border-color: white;
}

#jobs-page:first-of-type(div){
    border-width: 0;
}


@media screen and (orientation:portrait) and (max-width:1300px){
    .job-ad{
        flex-direction: column;
        align-content: center;
        align-items: center;
        flex-wrap: nowrap;
    }

}

@media not screen and (orientation:portrait) and (max-width:1300px){
    .job-ad{
        flex-direction: row;
    }
}

.left-ad-content {
    display: flex;
    flex-direction: column;
    width: max(30%, var(--nutrition-width));
}

.nutrition-label {
    height: fit-content;
    background-color: white;
    border-width: var(--outside-border);
    border-style: solid;
    border-color: black;

    padding: var(--padding);
    font-size: var(--nfs); /* use em for sub-divs */
    font-weight: 300;
    font-family: 'Roboto', sans-serif;
    color: black;

    position: relative;
    z-index: 4;
}

.nutrition-label .title {
    font-size: var(--header-size);
    font-weight: 800;
    border-bottom: solid;
    border-width: var(--thin-border);
}


.nutrition-label .type-top {
    font-weight: 300;
    font-size: calc(var(--nfs) * 1.25);
    float: left;
    width: 100%;
}

.nutrition-label .type {
    width: 100%;
    font-size: calc(var(--nfs) * 1.25);
    font-weight: 700;

    border-bottom: solid;
    border-width: var(--nfs);
    border-color: black;
    overflow: hidden;
}

.nutrition-label .type-label {
    float: left;
}

.nutrition-label .type-value {
    float: right;
}

.nutrition-label .salary {
    width: 100%;
    border-bottom: solid;
    border-width: calc(var(--nfs) * 0.5);
    border-color: black;
    overflow: hidden;
}

.nutrition-label .salary-left {
    float: left;
    min-width: 25%;
}

.nutrition-label .salary-top {
    font-size: calc(var(--nfs) * 0.75);
    font-weight: 800;
}

.nutrition-label .salary-label {
    font-size: calc(var(--nfs) * 2);
    margin-top: -0.12em;
    font-weight: 800;

}

.nutrition-label .salary-value {
    font-size: calc(var(--nfs) * 2.75);
    font-weight: 800;
    float: right;
}


.requirements-list {
    border-bottom: solid;
    border-width: calc(var(--nfs) * 0.5);
    border-color: black;
    overflow: hidden;

    line-height: 1.6em;
}

.requirements-label {
    clear: both;
    font-size: calc(var(--nfs) * 0.75);
    float: right;
    font-weight: 800;
}

.requirement {
    border-top: solid;
    border-width: var(--thin-border);
    border-color: black;
    overflow: hidden;

    width: 100%;
    font-weight: 800;
}

.requirement-value {
    float: right;
}

.sub-requirement {
    width: 100%;
    overflow: hidden;

    border-top: solid;
    border-width: var(--thin-border);
    border-color: black;
}

.sub-requirement .sub-label {
    float: left;
    padding-left: 5%;
}


.sub-requirement .sub-value {
    float: right;
    font-weight: 800;
}

.star-box {
    list-style: additive-star;
    font-size: calc(var(--nfs) * 0.75);
    margin-bottom: 0;
    padding-left: var(--nfs);
}

.ingredients-box{
    background-color:white;
    font-family: 'Roboto', sans-serif;
    text-transform: uppercase;
    color: black;

    margin: 1em 0 0 0;
    padding: 4px;
}
.ingredients-box b{
    font-weight: 800;
}
.ingredients-box p{
    margin: 0;
}

.barcode {
    margin-top: auto;
    width: fit-content;
    height: fit-content;
    padding: 2% 5% 2% 5%;
    background-color: white;

    text-align: center;
    font-family: 'Libre Barcode EAN13 Text', cursive;
    font-size: calc(var(--nfs) * 10);
    line-height: 1em;
    color: black;
}

.misc-icons {
    margin: 1em 0 1em 0;
    width:100%;
    display: flex;
    //flex-wrap:wrap;

    align-content: center;
    align-items: center;
    column-gap: 5%;
}

.misc-icons img, .misc-icons div {
    aspect-ratio: 1/1;
    width: 20%;
    height:auto;
}


/* can animation def */
@keyframes canChange {
    0%, 90% {
        background-image: url('../media/can-icon-cute.png');
    }
    95.01%, 100% {
        background-image: url('../media/can-icon-scary.png');
    }
}

.can-animation {
    width: 100%;
    animation: canChange 8s infinite;
    animation-timing-function: step-end;
    background-image: url("../media/can-icon-cute.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
}

/* can animation def */
@keyframes bubbleChange {
    0%, 90% {
        background-image: url('../media/bubble-join-us-white.webp');
    }
    95.01%, 100% {
        background-image: url('../media/bubble-join-us-red.webp');
    }
}

.speech-bubble-animation {
    width: 100%;
    animation: bubbleChange 8s infinite;
    animation-timing-function: step-end;
    background-image: url("../media/bubble-join-us-white.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left;
}

.polish-flag{
    background: linear-gradient(180deg, rgba(255,255,255,1) 49%, rgba(210,38,48,1) 50%);
    width: 100%;
    height:66%!important;

}

/* job ad right side  */
.ad-main-text {
    width: max(30%, var(--nutrition-width));

    display: flex;
    flex-direction: column;
    color: white;
    line-height: 1.6em;
}

.ad-main-text h2{
    margin: var(--header-top-margin) 0 0 0;
    font-size: var(--header-size);
    line-height: var(--header-line-height);
}

.ad-main-text p{
    margin: var(--header-top-margin) 0 var(--bottom-margin) 0;
}
.ad-main-text ul{
    margin: var(--header-top-margin) 0 var(--bottom-margin) 0;
}

.ad-main-text a{
    text-decoration: none;
    color: white;
    font-weight: bold;
}
.ad-main-text a:visited{
    color: white;
    text-decoration: none;
}

.contact-us{

    background-image: url("../media/icons/icon-envelope.png");
    background-position: left bottom;
    background-size: 1.5em auto;
    background-repeat: no-repeat;
    padding: 1em 0 0 2em;

    font-size: 1em;
    line-height: 1em;
}
.contact-us a{
    color:white;
}

.dates {
    padding-top: 1em;
    margin-top: auto;
    overflow: hidden;
}

.expiration-date {
    float: left;
    text-align: center;
    min-width: 9em;

}

.expiration-date div:first-of-type {
    font-family: 'Roboto', sans-serif;
    margin: 0.5em;
}


.expiration-date div:last-of-type {
    font-family: 'DotGothic16', sans-serif;
    color: black;
    background-color: white;
    width: 100%;
}



#games-page{
    margin-top: 10vh;
    width: 100%;
    min-height:90vh;

    display: flex;
    flex-direction: column;
    align-items: center;
}
.game{
    max-width: fit-content;
    max-height: fit-content;
    position: relative;

}

.game-presskit{
    margin-top:1em;
    font-size: 2em;
    font-weight:bold;
}
.game-presskit a{
    color: var(--gold-color);
}
.coming-soon{
    position: absolute;
    //z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 66%;
    max-height:66%;
}

.game-link span{
    position:absolute;
    width:100%;
    height:100%;
    top:0;
    left:0;
    z-index: 1;
}

.big-screenshot{
    max-width: 100%;
    max-height: 100%;
    height: auto;
    vertical-align: middle;
}

.optional-face{
    width: 20vh;
    height: auto;
    margin: 10vh 10vw 10vh 10vw;
    align-self: center;
}

#contact-page{
    width: min(100%, calc(var(--font-size)*64));
    min-height:90vh;
    margin-top: 15vh;


    font-size: var(--font-size);

    display: flex;
    flex-direction: column;
    color:white;
}

@media (orientation: landscape) {
    #contact-page{
        width: fit-content;
        max-width:50%;
        margin-left: auto;
        margin-right: auto;
    }
}

@media (orientation: portrait) {
    #contact-page{
        width: fit-content;
        max-width: min(90%, calc(var(--font-size)*64));
        margin-left: auto;
        margin-right: auto;
    }
}

#contact-icons{
    display: flex;
    flex-direction: row;
    justify-content: left;
    flex-wrap: wrap;
}

#contact-icons img{
    //aspect-ratio: 1/1;
    max-height: 8vh;
    margin: 1vh;
}

#footer{
    width:100%;
    padding-top: 0.5em;
    border-width: var(--thick-border) 0 0 0;
    border-style: solid;
    border-color: white;

    color: white;
    line-height: 1.6em;

    font-size: calc(var(--font-size) * 0.8);
    display: flex;
    flex-direction: column;
    align-content: center;

}
#footer a{
    text-decoration: none;
    font-weight:800;
    cursor: default;
    color:white;
}

#footer b{
    font-weight:800;
}
#footer p{
    display: block;
    margin: 0;
    text-align: center;
}

